Rename folder
curl --request PUT \
--url https://api.hubapi.com/crm/lists/2026-09-beta/folders/{folderId}/rename \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/lists/2026-09-beta/folders/{folderId}/rename"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/lists/2026-09-beta/folders/{folderId}/rename', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folder": {
"childLists": [
123
],
"childNodes": "<array>",
"id": "<string>",
"parentFolderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedContentsAt": "2023-11-07T05:31:56Z",
"userId": 123
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Folders
Rename folder
Rename an existing folder in the CRM lists by specifying the folder’s ID and the new desired name. This can be useful for organizing and updating folder structures within your account.
PUT
/
crm
/
lists
/
2026-09-beta
/
folders
/
{folderId}
/
rename
Rename folder
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the folder to be renamed.
Query Parameters
The new name for the folder. It should be a string representing the desired folder name.
Response
successful operation
Show child attributes
Show child attributes
Last modified on August 7, 2026
Was this page helpful?
⌘I